KoboTerminalNGX API DocsGet a free API key

Fundamentals (all stocks)

Valuation, profitability, leverage and dividend metrics for 145 NGX stocks in one call: P/E, forward P/E, EPS, dividend per share, dividend yield, beta, ROE, ROA, P/B, debt/equity, margins, plus EV/EBITDA, PEG, F-score, RSI and analyst consensus.

http
GET https://koboterminal.com/api/ngxdata/fundamentals

Plan: Starter and above (from ₦29,000 / $20 a month).

Parameters

NameInTypeRequiredDescription
symbolsquerystringnoComma-separated ticker filter (e.g. GTCO,ZENITHBANK,MTNN)

Request

bash
curl "https://koboterminal.com/api/ngxdata/fundamentals?symbols=GTCO,ZENITHBANK" \
  -H "X-API-Key: $KOBO_API_KEY"
python
import os, requests

r = requests.get(
    "https://koboterminal.com/api/ngxdata/fundamentals",
    params={"symbols": "GTCO,ZENITHBANK"},
    headers={"X-API-Key": os.environ["KOBO_API_KEY"]},
    timeout=30,
)
r.raise_for_status()
data = r.json()
javascript
const res = await fetch("https://koboterminal.com/api/ngxdata/fundamentals?symbols=GTCO,ZENITHBANK", {
  headers: { "X-API-Key": process.env.KOBO_API_KEY },
});
if (!res.ok) throw new Error(`Kobo API ${res.status}`);
const data = await res.json();

Response

Real response from the live API on 18 November 2026, trimmed to the first item of each list:

json
{
  "success": true,
  "count": 2,
  "fundamentals": [
    {
      "symbol": "GTCO",
      "pe_ratio": 5.57,
      "forward_pe": 4.71,
      "eps": 21.39,
      "dividend_per_share": 12.76,
      "dividend_yield": 10.71,
      "beta": 0.85,
      "52w_change": 38.93,
      "roa": 4.46,
      "roe": 22.8,
      "pb_ratio": 1.26,
      "debt_equity": 0.01,
      "profit_margin": 44.84,
      "gross_margin": null,
      "updated_at": "2026-11-15T05:02:22.431+00:00",
      "extra": {
        "rsi": 37.74,
        "roic": null,
        "sma_50": 127.32,
        "f_score": 2,
        "sma_200": 126.17,
        "z_score": null,
        "ev_sales": null,
        "ps_ratio": 2.53,
        "ev_ebitda": null,
        "fcf_yield": -4.32,
        "peg_ratio": 0.36,
        "ex_div_date": "Oct 13, 2026",
        "quick_ratio": null,
        "payout_ratio": 60.14,
        "price_target": 155.6,
        "analyst_count": 3,
        "current_ratio": null,
        "earnings_date": "Oct 27, 2026",
        "earnings_yield": 17.95,
        "net_income_ttm": 771470000000,
        "price_at_refresh": 119.29,
        "analyst_consensus": "Buy",
        "interest_coverage": null,
        "shares_outstanding": 36550000000,
        "dividend_growth_yoy": 58.9,
        "book_value_per_share": 94.45,
        "insider_ownership_pct": 0.13,
        "eps_growth_3y_forecast": 13.29,
        "rev_growth_3y_forecast": 20.28
      }
    }
  ]
}

Fields

FieldTypeDescription
pe_ratio / forward_penumberTrailing and forward price-to-earnings
epsnumberEarnings per share, NGN
dividend_per_share / dividend_yieldnumberNGN and percent
roe / roanumberReturn on equity and assets, percent
pb_ratio / debt_equitynumberPrice-to-book and debt-to-equity
extraobjectExtended metrics: EV/EBITDA, PEG, F-score, Z-score, RSI, SMA 50/200, analyst consensus, price target, payout ratio

Use it from an AI assistant

This endpoint is available as the get_fundamentals tool on the Kobo Terminal MCP server (https://koboterminal.com/mcp). See MCP server.

Errors

Standard errors apply: see Rate limits and errors.